#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "Spring2025EventComponent.generated.h"

class UDataTable;

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class SPRING2025_API USpring2025EventComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UDataTable* _survivorAnimationMappings;

public:
	USpring2025EventComponent();
};

FORCEINLINE uint32 GetTypeHash(const USpring2025EventComponent) { return 0; }
